Record Gamification Event
curl --request POST \
--url https://api.ontora.com/v1/gamification/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"profile": {
"display_name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
}
}
'import requests
url = "https://api.ontora.com/v1/gamification/events"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"profile": {
"display_name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
event_type: '<string>',
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {},
profile: {display_name: '<string>', email: '<string>', avatar_url: '<string>'}
})
};
fetch('https://api.ontora.com/v1/gamification/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "<string>",
"points_awarded": 123,
"repeated": true,
"summary": {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "<string>",
"onboarding_points": 123,
"recurring_points": 123,
"total_points": 123,
"completed_task_count": 123,
"completed_tasks": [
{
"task_id": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"leaderboard": [
{
"user_id": "<string>",
"total_points": 123,
"onboarding_points": 123,
"recurring_points": 123,
"completed_task_count": 123,
"rank": 123,
"display_name": "<string>",
"email": "<string>",
"avatar_url": "<string>",
"is_current_user": false
}
],
"target_points": 500
},
"unlocked_task_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}gamification
Record Gamification Event
POST
/
v1
/
gamification
/
events
Record Gamification Event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I